<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
	window.addEventListener("load",inicio);
		
	var canvas, ctx;
	
	var a=new Array();
	
	a[0]={};
	a[1]={};
	a[2]={};
	a[3]={};
	a[4]={};
	a[5]={};
	a[6]={};
	a[7]={};
	a[8]={};
	a[9]={};
	
	a[0].nombre="Daniel";
	a[0].datos=40;
	
	a[1].nombre="Roberto";
	a[1].datos=10;
	
	a[2].nombre="Ana";
	a[2].datos=20;
	
	a[3].nombre="Jose";
	a[3].datos=15;
	
	a[4].nombre="Silvia";
	a[4].datos=18;
	
	a[5].nombre="Jesus";
	a[5].datos=25;
	
	a[6].nombre="Lola";
	a[6].datos=14;
	
	a[7].nombre="Rosa";
	a[7].datos=10;
	
	a[8].nombre="Carmen";
	a[8].datos=8;
	
	a[9].nombre="Sara";
	a[9].datos=19;

	
	a[0].radianes=(a[0].datos*360*Math.PI/180)/(a[0].datos+a[1].datos);
	a[1].radianes=(a[1].datos*360*Math.PI/180)/(a[0].datos+a[1].datos);
	
	
	function inicio(){
		canvas=document.querySelector("canvas");
		ctx=canvas.getContext("2d");
		ctx.font = "16px serif";
		 		
		/* dibujar sector circular */
		ctx.beginPath();
		ctx.moveTo(150,200);
		ctx.arc(150,200,80,0,a[0].radianes);
		ctx.fill();
		/*ctx.strokeStyle="white";
		ctx.strokeText(a[0].nombre,170,230);*/
		
		ctx.beginPath();
		ctx.moveTo(120,190);
		ctx.fillStyle="blue";
		ctx.arc(120,190,80,a[0].radianes,a[0].radianes+a[1].radianes);
		ctx.fill();
		
		/*ctx.strokeStyle="white";
		ctx.strokeText(a[1].nombre,70,180);*/
	}
	
	function sectores(){
		
	}
	
	function barras(){
		
	}
	
	function columnas(){
		
	}
</script>
</head>

<body>
<canvas width="600" height="400">
	
</canvas>
</body>
</html>






